const fontkit = require("fontkit")

class FontCheck {
    constructor() {
        
    }
    isStringSupported(fontPath, data) {

        let font = fontkit.openSync(fontPath);
        if(!font) throw new Error("Font not found");

        let supported = true;

        for(let i = 0; i < data.length; i ++) {
            let charCodePoint = data[i].codePointAt(0);

            if(!font.hasGlyphForCodePoint(charCodePoint)) {
                console.log("Unsupported Char: ", data[i]);
                supported = false;
            }
        }

        return supported;
    }
}

module.exports = new FontCheck();